[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: kde4libs vs qt4

* Sune Vuorela <Sune@vuorela.dk> [080606 12:53]:
> http://buildd.ayous.org/fetch.php?pkg=kde4libs&arch=hppa&ver=4%3A4.0.80-1&stamp=1211907775&file=log&as=raw
> I would like to ask again. Could someone with hppa access try to take a look
> at it?

looking at the build log

| /usr/include/qt4/QtCore/qatomic_generic.h:227: error: lvalue required as unary '&' operand

and at usr/include/qt4/QtCore/qatomic_generic.h:227:

| template <typename T>
| Q_INLINE_TEMPLATE T *QBasicAtomicPointer<T>::fetchAndStoreOrdered(T *newValue)
| {
|     return reinterpret_cast<T *>
|         (QBasicAtomicPointer_fetchAndStoreOrdered(&reinterpret_cast<void * volatile *>(&_q_value),
|                                                   newValue));
| }

my suggestion would be to buy those QT developers some introductory book about C++.
They need it. Seriously.

	Bernhard R. Link

Reply to: